#!/bin/sh

reply=""
if $(qdbus | grep org.tgalal.wazapp > /dev/null)
then
	reply=`qdbus org.tgalal.wazapp /org/maemo/contextkit/Wazapp/Online org.maemo.contextkit.Property.Get | sed -n 1p`
fi

case $reply in
online) reply="★" ;;
connecting) reply="♻" ;;
offline) reply="☆" ;;
*) reply="⚠" ;;
esac

echo -n $reply